Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface ISiteWithMirrors

All Superinterfaces:
  IAdaptable, ISite

All Known Implementing Classes:
  Site

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ISiteWithMirrors

extends ISite

An extension of ISite that supports mirrors. The regular update site contains features (optionally grouped by categories), while a mirrored site can define zero or more updates sites (mirrors) with the same content. This allows users to pick their own update site, for performance purposes.

Field Summary

Fields inherited from interface org.eclipse.update.core.ISite
`DEFAULT_INSTALLED_FEATURE_TYPE, DEFAULT_PACKAGED_FEATURE_TYPE, SITE_ACCESS_EXCEPTION`

Method Summary
`IURLEntry[]` `getMirrorSiteEntries()` Deprecated. Returns an array of mirror sites that contain the same features/plugins.

Methods inherited from interface org.eclipse.update.core.ISite

`addPluginEntry, createFeature, createFeature, getArchives, getCategories, getCategory, getCurrentConfiguredSite, getDefaultPackagedFeatureType, getDescription, getDownloadSizeFor, getFeatureReference, getFeatureReferences, getInstallSizeFor, getPluginEntries, getPluginEntriesOnlyReferencedBy, getPluginEntryCount, getRawFeatureReferences, getSiteContentProvider, getType, getURL, install, install, remove, setSiteContentProvider`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getMirrorSiteEntries

    IURLEntry[] getMirrorSiteEntries()
                                     throws CoreException

  Deprecated.
  Returns an array of mirror sites that contain the same features/plugins.

  Returns:
    array of mirror sites, or empty array
  Throws:
    `CoreException`
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.